## debianbuttons 1.11

=== Makefile ===
#!/usr/bin/make -f
# vim: noet ts=8 ft=makefile

PKG := icedeb

ALL_FILES := README TODO install.rdf chrome.manifest \
    $(shell find res -type f) $(shell find chrome -type f)

all: $(PKG).xpi
$(PKG).xpi: $(ALL_FILES)
	rm -f $@
	zip $@ $^

XCF := res/button-bts.xcf

chrome/content/icedeb-bts.png: $(XCF)
	xcf2png -o "$@" "$<" "base" "bts small" "bts big"
chrome/content/icedeb-buildd.png: $(XCF)
	xcf2png -o "$@" "$<" "base" "buildd small" "buildd big"
chrome/content/icedeb-ddpo.png: $(XCF)
	xcf2png -o "$@" "$<" "base" "DD small" "DD big"
chrome/content/icedeb-deb.png: $(XCF)
	xcf2png -o "$@" "$<" "base" "deb small" "deb big"
chrome/content/icedeb-ml.png: $(XCF)
	xcf2png -o "$@" "$<" "base" "ML small" "ML big"
chrome/content/icedeb-pts.png: $(XCF)
	xcf2png -o "$@" "$<" "base" "pts small" "pts big"
chrome/content/icedeb-security.png: $(XCF)
	xcf2png -o "$@" "$<" "base" "security small" "security big"

## debianbuttons 1.7

=== debian/changelog ===
debianbuttons (1.7-1) unstable; urgency=low

  * Take over for the Mozilla Extension Packaging Team with maintainer
    consent

  * watch: use upstream-provided tarballs
  * control: mozext as Maintainer, add me as Uploader
  * Homepage: use upstream info page
  * Vcs-*: migrate to pkg-mozext repository

  * New upstream release
   + Provides buttons for querying buildd logs and security-tracker.d.o
     (Closes: #656556)
   + update upstream source location
   + bump years of upstream copyright

  * Ship TODO under doc/
  * Drop README and TODO from extension directory

 -- Damyan Ivanov <dmn@debian.org>  Tue, 24 Jan 2012 09:38:18 +0200

debianbuttons (1.6-1) unstable; urgency=low

  [ Tanguy Ortolo ]
  * Initial release (Closes: #654896)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Mon, 16 Jan 2012 19:29:52 +0100

=== debian/control ===
Source: debianbuttons
Section: web
Priority: extra
Maintainer: Mozilla Extension Packaging Team <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>,
 Damyan Ivanov <dmn@debian.org>
Build-Depends: debhelper (>= 8.0.0), mozilla-devscripts (>= 0.16~)
Standards-Version: 3.9.2
Homepage: http://icedeb.ktnx.net/
Vcs-Git: git://git.debian.org/git/pkg-mozext/debianbuttons.git
Vcs-Browser: http://git.debian.org/?p=pkg-mozext/debianbuttons.git

Package: xul-ext-debianbuttons
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Breaks: ${xpi:Breaks}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Description: Buttons for querying Debian-related pages with Iceweasel/Firefox
 Debian buttons is an extension that provides several new buttons for quick
 access to information about Debian packages, bug reports, mailing list
 messages or developers on the web using text from the X11 clipboard.

## debianbuttons 1.9

=== debian/changelog ===
debianbuttons (1.9-1) unstable; urgency=low

  * Team upload
  * Imported Upstream version 1.9
  * Removed Breaks: ${xpi:Breaks} from d/control, max_version isn't
    checked anymore at startup, thus all the extensions are now compatible
    by default with every iceweasel release. (this behaviour has been
    introduced with iceweasel-10) (Closes: #670370)

 -- Fabrizio Regalli <fabreg@fabreg.it>  Sat, 12 May 2012 20:05:48 +0200

debianbuttons (1.8-2) unstable; urgency=low

  * debian/control: build-depend on mozilla-devscripts >= 0.31 which solves
    bug #667444.
  * Rebuild with mozilla-devscripts >= 0.31. (Closes: #667444)
  * debian/copyright: use released URL.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sun, 22 Apr 2012 18:05:36 +0200

debianbuttons (1.8-1) unstable; urgency=low

  * New upstream release
   + Strips 'Bug#' from keyword beginning

  * Standards-Version: 3.9.3 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 18 Apr 2012 17:56:35 +0300

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Mozilla Extension Packaging Team <pkg-mozext-maintainers@lists.alioth.debian.org>
 Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>,
  Damyan Ivanov <dmn@debian.org>
-Build-Depends: debhelper (>= 8.0.0), mozilla-devscripts (>= 0.16~)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8.0.0), mozilla-devscripts (>= 0.31)
+Standards-Version: 3.9.3
 Homepage: http://icedeb.ktnx.net/
 Vcs-Git: git://git.debian.org/git/pkg-mozext/debianbuttons.git
 Vcs-Browser: http://git.debian.org/?p=pkg-mozext/debianbuttons.git
@@ -14,7 +14,6 @@
 Architecture: all
 Depends: ${misc:Depends}, ${xpi:Depends}
 Recommends: ${xpi:Recommends}
-Breaks: ${xpi:Breaks}
 Provides: ${xpi:Provides}
 Enhances: ${xpi:Enhances}
 Description: Buttons for querying Debian-related pages with Iceweasel/Firefox

## debianbuttons 1.11

=== debian/changelog ===
debianbuttons (1.11-1) unstable; urgency=medium

  * New upstream release
    - Uses https instead of http saving a redirect
    - Uses tracker.debian.org instead of packages.qa.debian.org
  * Standards-Version: 3.9.5 (no chances needed)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 30 Jul 2014 07:47:12 +0000

debianbuttons (1.10-1) unstable; urgency=low

  * New upstream release
    Closes: #721326
  * migrate Vcs-* links to anonscm.debian.org
  * Standards-Version: 3.9.4 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Sun, 15 Sep 2013 17:34:10 +0300

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>,
  Damyan Ivanov <dmn@debian.org>
 Build-Depends: debhelper (>= 8.0.0), mozilla-devscripts (>= 0.31)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://icedeb.ktnx.net/
-Vcs-Git: git://git.debian.org/git/pkg-mozext/debianbuttons.git
-Vcs-Browser: http://git.debian.org/?p=pkg-mozext/debianbuttons.git
+Vcs-Git: git://anonscm.debian.org/pkg-mozext/debianbuttons.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/debianbuttons.git
 
 Package: xul-ext-debianbuttons
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

TMP := debian/xul-ext-debianbuttons

%:
	dh $@ --with xul-ext --buildsystem=xul_ext

override_dh_auto_install:
	dh_auto_install
	rm $(TMP)/usr/share/xul-ext/debianbuttons/Makefile
	rm $(TMP)/usr/share/xul-ext/debianbuttons/build
	rm $(TMP)/usr/share/xul-ext/debianbuttons/README
	rm $(TMP)/usr/share/xul-ext/debianbuttons/TODO

=== debian/watch ===
version=3

http://icedeb.ktnx.net/ download/icedeb-([\d\.]+).tar.gz

## debianbuttons 2.1

=== Makefile ===
#!/usr/bin/make -f
# vim: noet sts=8 sw=8 ts=8 ft=makefile

PKG := icedeb

ALL_FILES := README TODO Changes manifest.json \
    icedeb.js icedeb.css icedeb.html icedeb-content.js \
    $(shell find res -type f) icons/openlogo-nd.svg icons/icedeb-addon.svg

all: $(PKG).xpi
$(PKG).xpi: $(ALL_FILES)
	rm -f $@
	zip $@ $^

=== debian/changelog ===
debianbuttons (2.1-2) unstable; urgency=medium

  * update years of upstream copyright
  * update upstream copyright summary to reflect the new upstream release
    + point to salsa.d.o for the Expat open logo licensing

 -- Damyan Ivanov <dmn@debian.org>  Wed, 22 Aug 2018 16:21:08 +0000

debianbuttons (2.1-1) unstable; urgency=medium

  * use https in debian/watch
  * use https for the Homepage
  * New upstream version 2.1
  * debhelper compatibility level 11
  * change Priority from extra to optional
  * use maintainer address @alioth-lists
  * Vcs-*: point to salsa/webext-team
  * package as a web extension
    Closes: #870344
    + rename binary package to webext-debianbuttons and make
      xul-ext-debianbuttons a transitional one
    + drop README.Debian
  * declare conformance with Policy 4.2.0

 -- Damyan Ivanov <dmn@debian.org>  Wed, 22 Aug 2018 15:31:20 +0000

debianbuttons (1.11-3) unstable; urgency=medium

  * debian/copyright: revert to Expat for the icons, which are based on the
    Debian Open Logo without text, which was once distributed under that
    license.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Thu, 12 May 2016 17:49:34 +0200

debianbuttons (1.11-2) unstable; urgency=medium

  * Rebuild with new mozilla-devscripts to get updated dependencies.
    (Closes: #818075)
  * debian/copyright: update copyright date and correct icon license.
  * debian/docs: no longer install README, which only provides (inaccurate)
    license information, which is already given in debian/copyright.
  * debian/control:
     - update Standards-Version to 3.9.8 (no change needed).
     - build-depend on debhelper >= 9.
     - use HTTPS for Vcs-* URLs.
  * debian/compat: use debhelper recommended compatibility level 9.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Wed, 11 May 2016 12:11:13 +0200

=== debian/control ===
Source: debianbuttons
Section: web
Priority: optional
Maintainer: Mozilla Extension Packaging Team <pkg-mozext-maintainers@alioth-lists.debian.net>
Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>,
 Damyan Ivanov <dmn@debian.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.2.0
Homepage: https://icedeb.ktnx.net/
Vcs-Git: https://salsa.debian.org/webext-team/debianbuttons.git
Vcs-Browser: https://salsa.debian.org/webext-team/debianbuttons

Package: webext-debianbuttons
Architecture: all
Depends:
 ${misc:Depends},
 firefox (>= 50) | firefox-esr (>= 50)
Breaks: xul-ext-debianbuttons (<< 2.0)
Replaces: xul-ext-debianbuttons (<<2.0)
Description: Buttons for querying Debian-related pages with Firefox
 Debian buttons is an extension that provides quick access to information
 about Debian packages, bug reports, mailing list messages or developers on
 the web using text from the clipboard.

Package: xul-ext-debianbuttons
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}, webext-debianbuttons
Description: Buttons for Firefox - Transitional package
 This is a transitional package and can be safely removed.

## debianbuttons 2.2

=== debian/changelog ===
debianbuttons (2.2-1) unstable; urgency=medium

  * New upstream version 2.2
  * add Rules-Requires-Root: no header
  * add upstream metadata info
  * use secure URL for copyright format
  * declare conformance with Policy 4.2.1

 -- Damyan Ivanov <dmn@debian.org>  Wed, 26 Sep 2018 13:21:50 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>,
  Damyan Ivanov <dmn@debian.org>
 Build-Depends: debhelper (>= 11)
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://icedeb.ktnx.net/
 Vcs-Git: https://salsa.debian.org/webext-team/debianbuttons.git
 Vcs-Browser: https://salsa.debian.org/webext-team/debianbuttons
+Rules-Requires-Root: no
 
 Package: webext-debianbuttons
 Architecture: all

## debianbuttons 2.3

=== Makefile ===
#!/usr/bin/make -f
# vim: noet sts=8 sw=8 ts=8 ft=makefile

PKG := icedeb

ALL_FILES := README TODO Changes manifest.json \
    icedeb.js icedeb.css icedeb.html icedeb-content.js \
    $(shell find res -type f) \
    icons/openlogo-nd.svg \
    icons/icedeb-addon-light.svg icons/icedeb-addon-dark.svg

all: $(PKG).xpi
$(PKG).xpi: $(ALL_FILES)
	rm -f $@
	zip $@ $^

=== debian/changelog ===
debianbuttons (2.3-2) unstable; urgency=medium

  * swap alternative dependency on firefox|firefox-esr to prefer firefox-esr
    Thanks to Adrian Bunk (Closes: #920881)

 -- Damyan Ivanov <dmn@debian.org>  Tue, 05 Feb 2019 15:16:45 +0000

debianbuttons (2.3-1) unstable; urgency=medium

  * New upstream version 2.3
  * Uses dark-coloured icon by default
    Closes: #913284
  * Declare conformance with Policy 4.3.0 (no changes needed)
  * Migrate to debhelper-compay (=11)

 -- Damyan Ivanov <dmn@debian.org>  Thu, 17 Jan 2019 20:09:01 +0000

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Mozilla Extension Packaging Team <pkg-mozext-maintainers@alioth-lists.debian.net>
 Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>,
  Damyan Ivanov <dmn@debian.org>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 11)
+Standards-Version: 4.3.0
 Homepage: https://icedeb.ktnx.net/
 Vcs-Git: https://salsa.debian.org/webext-team/debianbuttons.git
 Vcs-Browser: https://salsa.debian.org/webext-team/debianbuttons
@@ -15,7 +15,7 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- firefox (>= 50) | firefox-esr (>= 50)
+ firefox-esr (>= 50) | firefox (>= 50)
 Breaks: xul-ext-debianbuttons (<< 2.0)
 Replaces: xul-ext-debianbuttons (<<2.0)
 Description: Buttons for querying Debian-related pages with Firefox

=== debian/watch ===
version=3

https://icedeb.ktnx.net/ download/icedeb-([\d\.]+).tar.gz
